package com.bj.avenue.admin;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;

public class OracleConnectionExample {

    public static void main(String[] args) {
        String url = "jdbc:oracle:thin:@172.16.6.24:1521:IRPT51"; // 替换为你的数据库URL
        String username = "irpt51"; // 替换为你的数据库用户名
        String password = "irpt51"; // 替换为你的数据库密码

        try {
            // 1. 加载并注册JDBC驱动
            Class.forName("oracle.jdbc.OracleDriver");

            // 2. 创建数据库连接
            Connection connection = DriverManager.getConnection(url, username, password);

            if (connection != null) {
                System.out.println("连接成功！");
                // 在这里执行你的数据库操作...
            } else {
                System.out.println("连接失败！");
            }

            // 3. 关闭连接
            connection.close();

        } catch (ClassNotFoundException e) {
            System.out.println("Oracle JDBC Driver 未找到！");
            e.printStackTrace();
        } catch (SQLException e) {
            System.out.println("数据库连接失败！");
            e.printStackTrace();
        }
    }
}
