package com.bj.avenue.admin.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.bj.avenue.admin.dto.IrptDimWzdw;
import com.bj.avenue.admin.dto.User;
import com.bj.avenue.request.IrptDimWzdwRequest;
import com.bj.avenue.request.LoginRequest;
import com.bj.avenue.response.IrkzqXxb1Response;
import com.bj.avenue.response.IrkzqXxbResponse;
import com.bj.avenue.response.IrptDimWzdwResponse;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface IrptDimWzdwMapper extends BaseMapper<IrptDimWzdw> {

    IPage<IrptDimWzdwResponse> selectIrptDimWzdw(Page page, @Param("irpt") IrptDimWzdwRequest irptDimWzdwRequest);

    List<IrptDimWzdwResponse> tableHeadList(@Param("irpt") IrptDimWzdwRequest irptDimWzdwRequest);

    List<IrkzqXxb1Response> selectIrkzqXxb(@Param("irpt") IrptDimWzdwRequest irptDimWzdwRequest);

}
