package com.bj.avenue.convert;

import cn.hutool.core.bean.BeanUtil;
import com.bj.avenue.admin.dto.User;
import com.bj.avenue.response.LoginResponse;

/**
 * 登录类型转换
 *
 * @author zhaoyuhang
 * @version 1.0.0
 */
public class LoginConvert {

	private LoginConvert() {

	}

	/**
	 * 根据user转换LoginResponse
	 *
	 * @param user 工单入参
	 * @return 登录出参
	 */
	public static LoginResponse userHandleLoginResponse(User user) {
		LoginResponse loginResponse = new LoginResponse();
		BeanUtil.copyProperties(user, loginResponse);
		return loginResponse;
	}

}
